Loading...
Searching...
No Matches
Opm::aligned_allocator< T, Alignment > Class Template Reference

## Classes

struct | rebind

## Public Types

using | value_type = T
using | pointer = T*
using | const_pointer = const T*
using | void_pointer = void*
using | const_void_pointer = const void*
using | size_type = std::size_t
using | difference_type = std::ptrdiff_t
using | reference = T&
using | const_reference = const T&

## Public Member Functions

template<class U>
| aligned_allocator (const aligned_allocator< U, Alignment > &) noexcept
pointer | address (reference value) const noexcept
const_pointer | address (const_reference value) const noexcept
pointer | allocate (size_type size, const_void_pointer=0)
void | deallocate (pointer ptr, size_type)
constexpr size_type | max_size () const noexcept
template<class U, class... Args>
void | construct (U *ptr, Args &&... args)
template<class U>
void | construct (U *ptr)
template<class U>
void | destroy (U *ptr)

The documentation for this class was generated from the following file:

- opm/models/utils/alignedallocator.hh